USB_ALTNUM_TO_AL(9)

NAME
usb_altnum_to_altsetting - get the altsetting structure with a given

SYNOPSIS

struct usb_host_interface * usb_altnum_to_altsetting (struct usb_interface * intf, unsigned int altnum);

ARGUMENTS

intf
    the interface containing the altsetting in question

altnum
    the desired alternate setting number

DESCRIPTION

This searches the altsetting array of the specified interface for an entry with the correct bAlternateSetting value and returns a pointer to that entry, or null.

Note that altsettings need not be stored sequentially by number, so it would be incorrect to assume that the first altsetting entry in the array corresponds to altsetting zero. This routine helps device drivers avoid such mistakes.

Don't call this function unless you are bound to the intf interface or you have locked the device!

DESCRIPTION

This searches the altsetting array of the specified interface for an entry with the correct bAlternateSetting value and returns a pointer to that entry, or null.

Note that altsettings need not be stored sequentially by number, so it would be incorrect to assume that the first altsetting entry in the array corresponds to altsetting zero. This routine helps device drivers avoid such mistakes.

Don't call this function unless you are bound to the intf interface or you have locked the device!